<template>
  <div>
    <template v-if="loading">
      LOADING
    </template>
    <template v-else>
      <h1>
        {{ details.full_title }}
      </h1>
      <h3 class="mb-3 color-gray">
        {{ details.department }}
      </h3>
      <p v-html="details.full_description" />
      <h4>
        Benefits
      </h4>
      <div v-html="details.benefits" />
      <div class="mt-4 mb-4">
        <nuxt-link :to="`/job/${details.shortcode}/apply`" class="btn btn-info">
          Apply
        </nuxt-link>
      </div>
    </template>
  </div>
</template>

<script>
import { getJobDetails } from '~/api/jobs';

export default {
  name: 'JobDetails',
  props: {
    jobId,
  },
  data () {
    return {
      loading: true,
      details: null,
    };
  },
  created () {
    getJobDetails(this.jobId) 
      .then((details) => {
        this.loading = false;
        this.details = details;
      });
      // TODO: handle catch
  },
}
</script>
